Users running a non-download version of Vanilla (pulled from github), on branch release/2019.016 or master from the last 2 weeks should upgrade to release/2019.017 or latest master for security reasons. Downloaded official open sources releases are not affected.

Auto Plugin Installer

When is Vanilla Core going to get a plugin installer from admin backend so that we dont have to install plugins and themes through backend anymore (similar to wordpress plugin and theme database). I think this is any important feature that needs to be added to improve vanilla forum as this save time and you get updates quickly.

Comments

  • x00x00 MVP
    edited April 2015

    I vote for never.

    Certainly not included in the core. I support the idea of a secure shell based updater or equivalent, which could be as effective but more secure.

    The idea of a web application managing your server, and doing file management is fundamentally unsound. It was very controversial aspect of wordpress, that was much debated at the time by their team.

    It is like the tail waging the dog.

    Essentially you are saying you are going to lower file permissions, so the web application can manage that for you. Then you have an exploit and people wonder why all their files are infected. All for a little convenience. I have seen it many times (mostly wordpress), and had to clean up the mess for clients.

    As a web master or server admin. it is your job to manage the server, it is not the job of the web application already running on the server. People are sold the lie that there is little learning curve involved in running a site, by cheap webhosts, who are just focusing on volume sales.

    However practically speaking the versioning system is nowhere near tight enough to support at the moment, so if it will ever happen it a long way off. I think the idea of notices for available updates, would be reasonable because the security implications aren't as serious.

    grep is your friend.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    I need an auto-quarz-countertop-installer....

Sign In or Register to comment.